Namespace
library
Image / Tag
docker:20.10.13-dind
Content Digest
sha256:fcbd7cae41740db4877d404a03c5807450dee8b82c38f9ba0aadebb9140a00d7
Details
Created

2022-03-23 16:15:02 UTC

Size

72.6 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.13

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:3aa4d0bbde192bfaba75f2d124d8cf2e6de452ae03e55d54105e46b06eb8127e - 3.69% (2.68 MB)

[#001] sha256:c236b952b9466b604bbc4e060a2667d7a7a335bee006fd5104c151dbdb4bf787 - 2.59% (1.88 MB)

[#002] sha256:2580f7437ec44a9dd3670ee6fd964ecb068808106d1bd8b961e7a568ef3ceb4f - 0.0% (154 Bytes)

[#003] sha256:7649ff060972a496aa084c1d3756524db829e6a242ae7bc9658bb9e16dba5eec - 84.86% (61.6 MB)

[#004] sha256:0ce146c1b1e3f178db76c3a214324f7973a9d400e00f4fe633915227312de816 - 0.0% (542 Bytes)

[#005] sha256:01e53e995f191e2dda8b29cb2d128726d68f640b669c634f9d7b7239cb49b0f2 - 0.0% (1015 Bytes)

[#006] sha256:43bf02f7e7ba89735873e4127a2b0d297b7bd256e05aa35b12310505f644e99e - 0.0% (150 Bytes)

[#007] sha256:b410477bf81b8b92e3a28c6f882c9905a23f7e3838e49308c7f784ff3007d03e - 8.85% (6.42 MB)

[#008] sha256:a2e96caeccfc0826c39cd414081cf962b6a72675e2a3ca9de4c5d66ea494d6ed - 0.0% (1.29 KB)

[#009] sha256:dcfbb4c499a0c06e8d0bb1e960c5b670492826a111afccb95bd4743430e41a45 - 0.0% (954 Bytes)

[#010] sha256:b14191ab5ed939543bc615c16d372290873216683c9aa360998fa24ecaf7b970 - 0.0% (2.68 KB)


History
2022-03-23 15:21:21 UTC

/bin/sh -c #(nop) ADD file:7386ad893672007cca2d73cec1862d582a69d581ca1d155d4599cb2aa54d5498 in /

2022-03-23 15:21:21 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-03-23 16:14:46 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-03-23 16:14:47 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-03-23 16:14:47 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.13

2022-03-23 16:14:52 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.13.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.13.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.13.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.13.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-03-23 16:14:53 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-03-23 16:14:53 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-03-23 16:14:53 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-03-23 16:14:53 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-03-23 16:14:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-03-23 16:14:54 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-03-23 16:15:00 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2022-03-23 16:15:00 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2022-03-23 16:15:00 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2022-03-23 16:15:01 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2022-03-23 16:15:01 UTC

/bin/sh -c #(nop) COPY file:45c7926c5d79023b457ad24274c893b1fc21f241bed46421dc901b8237045f17 in /usr/local/bin/

2022-03-23 16:15:01 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2022-03-23 16:15:02 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2022-03-23 16:15:02 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2022-03-23 16:15:02 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2022-03-17 06:45:14 UTC

Size

66.6 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.13

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:148d739a8e6b9342daa1f5b428d3a3c6118f340f21df28c16e06f918ef150147 - 3.89% (2.59 MB)

[#001] sha256:584bd6b2d67571b28ebbe22152f5536e3cff37d4346bc02a444b2ede9b5d71c6 - 2.78% (1.85 MB)

[#002] sha256:eadc398c63809a7b7b0d60cee36c1a95c7dd031fb5987cb99246b289df77d64f - 0.0% (155 Bytes)

[#003] sha256:20fce163fc9e7e1d8912203364c303838e60da953ed77812572633504c2bd014 - 83.85% (55.9 MB)

[#004] sha256:3d9a0a3a69cb84240c8270720f964d7155438567aa97bb868bfe1adc07b5b977 - 0.0% (542 Bytes)

[#005] sha256:0ee8be56eb060db5cad28d2359c143a7a7de20610f090073f5cbd7f1cfeafbd4 - 0.0% (1015 Bytes)

[#006] sha256:746be13a2cb02a7014e32f66ba9fb3bb10e14bd43af45b7890fb09464fe2a830 - 0.0% (117 Bytes)

[#007] sha256:cb73bd4ce74defd0741f3f7922ffb261b2f91b45cf97e2225f65aaba2b4c42d6 - 9.47% (6.31 MB)

[#008] sha256:e054635e9f383caa96af63cfbbc71098384c50f5c13efcc785d2a870ed8e4af9 - 0.0% (1.26 KB)

[#009] sha256:791a50930d17375d4278a896defa85218b579b3efdd1455d1fa503e187676dfb - 0.0% (956 Bytes)

[#010] sha256:752ca04529521e0b4db8ded3d79d79f1629c7c725837b87fe79519f64bcb2e05 - 0.0% (2.68 KB)


History
2022-03-17 03:19:52 UTC

/bin/sh -c #(nop) ADD file:cd7d91362950471ca4678cf3833dc47119ab519dea51424c847bbbb21e1649d4 in /

2022-03-17 03:19:52 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-03-17 06:44:43 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-03-17 06:44:44 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-03-17 06:44:45 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.13

2022-03-17 06:44:49 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.13.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.13.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.13.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.13.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-03-17 06:44:50 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-03-17 06:44:51 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-03-17 06:44:51 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-03-17 06:44:52 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-03-17 06:44:53 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-03-17 06:44:54 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-03-17 06:45:06 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2022-03-17 06:45:07 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2022-03-17 06:45:08 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2022-03-17 06:45:09 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2022-03-17 06:45:11 UTC

/bin/sh -c #(nop) COPY file:45c7926c5d79023b457ad24274c893b1fc21f241bed46421dc901b8237045f17 in /usr/local/bin/

2022-03-17 06:45:11 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2022-03-17 06:45:12 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2022-03-17 06:45:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2022-03-17 06:45:14 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete